#!/bin/sh

. `dirname $0`/lib

MTIE_FLTR_PID="/var/run/mtie_fltr.pid"
TAIL_PID="/var/run/mtie_tail.pid"

_handler( )
{
  kill -9 `cat ${TAIL_PID}`
  rm ${TAIL_PID}
  rm ${MTIE_FLTR_PID}
  rm ${MTIE_FIFO_FILE}
  exit 0
}

trap _handler INT

#start
echo -n "" > $TMP_WANDER_FILE #clear old samples
if [ -e ${MTIE_FIFO_FILE} ]; then
  rm ${MTIE_FIFO_FILE}  
fi
mkfifo ${MTIE_FIFO_FILE}
${MTIE_FLTR} -f ${MTIE_POINTS_FILE} -p 150 < ${MTIE_FIFO_FILE} &
echo $! > ${MTIE_FLTR_PID}
tail -f ${TMP_WANDER_FILE} > ${MTIE_FIFO_FILE} &
echo $! > ${TAIL_PID}

while true; do sleep 1; done

