#!/bin/sh

. `dirname $0`/lib


TDEV_FLTR_PID="/var/run/tdev_fltr.pid"
TAIL_PID="/var/run/tdev_tail.pid"

_handler( )
{
  kill -9 `cat ${TAIL_PID}`
  #kill -9 `cat ${TDEV_FLTR_PID}`
  rm ${TAIL_PID}
  rm ${TDEV_FLTR_PID}
  rm ${TDEV_FIFO_FILE}
  exit 0
}

trap _handler INT 


echo -n "" > $TMP_WANDER_FILE #clear old samples
if [ -e ${TDEV_FIFO_FILE} ]; then
  rm ${TDEV_FIFO_FILE}  
fi
mkfifo ${TDEV_FIFO_FILE}
${TDEV_FLTR} -f ${TDEV_POINTS_FILE} -p 150 < ${TDEV_FIFO_FILE} &
echo $! > ${TDEV_FLTR_PID}
tail -f ${TMP_WANDER_FILE} > ${TDEV_FIFO_FILE} &
echo $! > ${TAIL_PID}

while true; do sleep 1; done
